> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return transactions

> Returns records from the transactions entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /transactions
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /transactions:
    get:
      tags:
        - transactions
      summary: Return transactions
      description: >-
        Returns records from the transactions entity that match the specified
        query parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAlltransactions
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: transactions response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/transactions'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    transactions:
      type: object
      properties:
        Id:
          description: The id of the logs.
          type: string
        ConnectorId:
          description: The id of the connector.
          type: string
        PortId:
          description: The id of the port.
          type: string
        WorkspaceId:
          description: The id of the workspace.
          type: string
        Workspace:
          description: The id of the workspace.
          type: string
        MessageId:
          description: The message Id.
          type: string
        Direction:
          description: The direction of the file transaction.
          type: string
        Status:
          description: The status of the transaction.
          type: string
        Filename:
          description: The name of the file being transferred.
          type: string
        FilePath:
          description: The full path to the file that was sent or received.
          type: string
        FileSize:
          description: The size of the file.
          type: integer
          format: int32
        Timestamp:
          description: The time that the file was sent or received.
          type: string
          format: date-time
        ETag:
          description: >-
            The ETag for the file being transferred. This is only available when
            using AS2 Restart.
          type: string
        InstanceId:
          description: The host which writes the log in the HA environment.
          type: string
        BatchGroupId:
          description: The batch group message Id.
          type: string
        IsBatchGroup:
          description: Whether or not the message is a batch group message.
          type: boolean
        ProcessingTime:
          description: >-
            The total time taken to process the transaction, measured in
            milliseconds (ms).
          type: integer
          format: int64
        ConnectorType:
          description: The ConnectorType for the current connector.
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````